dx (1:4.4.4-11) unstable; urgency=medium

  * Update Vcs-* URIs for move to salsa.debian.org
  * Drop debian/libdx4-dev.maintscript, no longer needed
  * Make Lintian source overrides more robust
  * Turn debhelper up to 11
  * Remove trailing whitespace from d/changelog, d/rules
  * Update debian/copyright
  * Bump Standards-Version to 4.3.0, no changes
  * Strip paths for reproducible builds

 -- Graham Inggs <ginggs@debian.org>  Thu, 24 Jan 2019 11:29:01 +0000

dx (1:4.4.4-10) unstable; urgency=medium

  * Fix FTBFS with GCC 7 (Closes: #853380)
  * Switch to debhelper 10
  * Fix more spelling errors in binaries and manpages, thanks Lintian
  * Update Lintian overrides
  * Use secure URIs for Vcs-* fields
  * Bump Standards-Version to 4.0.1, no further changes
  * Add Build-Conflicts on libgraphicsmagick-dev
  * Ship PNG icon instead of XPM
  * Fix NetCDF import on 64-bit architectures,
    thanks Timo Korvola (Closes: #856055)

 -- Graham Inggs <ginggs@debian.org>  Fri, 11 Aug 2017 11:15:41 +0000

dx (1:4.4.4-9) unstable; urgency=medium

  * Switch /usr/share/doc/libdx4-dev symlink to directory (Closes: #813248).
  * Fix narrowing conversion errors with GCC 6 (Closes: #811731).
  * Update debian/watch with new FTP site.
  * Update Lintian source overrides.
  * Bump Standards-Version to 3.9.7 (no further changes).

 -- Graham Inggs <ginggs@debian.org>  Sun, 21 Feb 2016 11:33:49 +0200

dx (1:4.4.4-8) unstable; urgency=medium

  * Machine-readable d/copyright.
  * New d/patches/50-non-void-function-return-fix.patch:
    Non-void functions should return a value (Closes: #743003).
    (Fixes FTBFS with clang instead of gcc - thanks Arthur Marble)
  * Do not include build date and time in version strings.
  * Switch to dh(1) with dh-autoreconf.
  * Enable PIE build hardening.
  * Open help in graphical browser, if available.
  * Move package to debian-science, update Maintainer, Uploaders,
    Vcs-Browser and Vcs-Git fields.
  * Override Lintian source-is-missing with comments.
  * Remove Debian menu, see #741573.
  * Fix a few more spelling errors in binaries, thanks Lintian.
  * Bump Standards-Version to 3.9.6 (no further changes).

 -- Graham Inggs <ginggs@debian.org>  Wed, 30 Dec 2015 17:51:10 +0200

dx (1:4.4.4-7) unstable; urgency=low

  * Fix undefined sprintf() usage.
  * Fix typo in d/patches/50-format-security-fix.patch.
  * Various fixes for kfreebsd: dxexec now runs.
  * Build with prefix=/usr/share instead of prefix=/usr/lib.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 13 Oct 2013 15:03:43 +0200

dx (1:4.4.4-6) unstable; urgency=low

  [ Graham Inggs ]
  * Update d/libdx4.symbols for kfreebsd.
  * Allow /usr/bin/dx script to run on kfreebsd.
  * Link executables and shared libraries with --as-needed.
  * Fix some Lintian warnings:
    - Update d/dx.desktop: remove encoding, add keywords
    - Override another spelling error in binary
    - Downgrade libdx4-dev's Conflicts on dx-dev to Breaks

  [ Paul Gevers ]
  * Fix typo in suggested package list: llibglu-dev
  * Install lintian overrides

 -- Paul Gevers <elbrus@debian.org>  Sat, 14 Sep 2013 16:50:25 +0200

dx (1:4.4.4-5) unstable; urgency=low

  [Graham Inggs]
  * New maintainer (Closes: #654646)
  * Update d/control:
    - build with libmotif-dev instead of lesstif2-dev (Closes: #714834)
    - build with unversioned libtiff-dev (Ubuntu)
    - build with unversioned libpng-dev (Closes: #662308)
    - bump Standards-Version to 3.9.4 (no further changes)
  * Fix missing () in DXGetError (Closes: #688395)
  * Do not build with libxp even if it is installed (Closes: #623644)
  * Install /usr/lib/*.so symlinks in libdx4-dev package
  * Create d/libdx4.symbols
  * Fix FTBFS twice in a row.
  * Create d/watch.
  * Build with hardening flags enabled and fix format security.
  * Fix underlinking of libDXL by explicitly linking libDX.
  * Fix various spelling and hyphen-used-as-minus-sign errors.

  [Jari Aaalto]
  * Remove deprecated dpatch and upgrade to source format 3.0 (quilt)
    (Closes: #670318)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Patches 64bit,gcc43, kfreebsd, usr-local were updated with "quilt
    refresh" to make them apply cleanly.

 -- Graham Inggs <graham@nerve.org.za>  Thu, 02 Aug 2013 17:06:27 +0200

dx (1:4.4.4-4) unstable; urgency=low

  * debian/control: Change build dependency from libjpeg62-dev to
    libjpeg-dev. Closes: #633729

 -- Daniel Kobras <kobras@debian.org>  Fri, 15 Jul 2011 19:45:28 +0200

dx (1:4.4.4-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621204).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 19:10:50 +0200

dx (1:4.4.4-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove alternative libglu1-xorg-dev from build-dependencies
    (Closes: #628439)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 31 May 2011 20:41:20 +0200

dx (1:4.4.4-3) unstable; urgency=medium

  * Added patches:
    + [10_autoreconf_fix]
      In configure.ac, check for C++ compiler before setting language to
      C++. This fix avoids a circular dependency error when running
      aclocal or autoreconf.
    + [10_open_mode]
      Supply mode flags as required when calling open() with O_CREAT.
      Patch thanks to James Westby via Ubuntu.
    + [10_magickcore_api]
      Fix build errors due to an API change in ImageMagick versions
      6.5.7 and up. Patch thanks to Ilya Barygin <barygin@gmail.com>.
    + [20_magick_pkgconfig]
      Try to make use of pkg-config when probing for ImageMagick. Also
      adds support for building with GraphicsMagick instead. This and the
      preceding patch resolves build problems with current ImageMagick
      and thus Closes: #572270
    + [30_no_shell_override]
      Overriding SHELL in configure.ac breaks autoconf/libtool assumptions
      and leads to build failures when /bin/sh points to /bin/dash. Remove
      the override as it doesn't seem to serve any useful purpose on Debian
      platforms.
    + [40_hdfalt_support]
      Add support for linking with Debian-specific libhdf4-alt that avoids
      namespace issues when using both hdf4 and netcdf.
  * Updated patches:
    + [10_kfreebsd_build_fixes]
      Correct preprocessor syntax to fix build on kfreebsd. Patch thanks to
      Cyril Brulebois <kibi@debian.org>. Closes: #565347
  * debian/control: Update hdf4 build and -dev dependencies to new package
    names, using libhdf4-alt-dev for official builds. Closes: #540402
  * debian/control: Package complies with version 3.8.4 of Debian policy.
  * debian/control: Build-depend on automake, autoconf, and libtool to
    allow re-generating the configure script during build.
  * debian/control: Update build-dependencies and dependencies of the -dev
    package for current ImageMagick package names.
  * debian/control: Add debhelper substitution variable misc:Depends to
    all dependency lines to placate lintian.
  * debian/rules: Run autoreconf during package build to activate changes
    to configure.ac. Remove symlinks created by autoreconf when cleaning
    up.

 -- Daniel Kobras <kobras@debian.org>  Thu, 25 Mar 2010 19:59:17 +0100

dx (1:4.4.4-2) unstable; urgency=low

  * debian/control: Rename obsolete dependencies on x-dev and netcdfg-dev
    to current x11proto-core-dev and libnetcdf-dev. Closes: #515342
  * debian/control: Add Homepage field. Closes: #467310
  * debian/README.source: Short explanation of dpatch usage in dx packaging.
  * debian/dx-doc.doc-base: Move section to Science/Data Analysis.
  * debian/compat, debian/control: Bump debhelper compatibility level from
    4 to 5.
  * debian/control: Package complies with version 3.8.1 of Debian policy.

 -- Daniel Kobras <kobras@debian.org>  Fri, 27 Mar 2009 16:38:05 +0100

dx (1:4.4.4-1) unstable; urgency=low

  * New upstream version. Closes: #412806
  * Added patches:
    + [10_gcc43_build_fix]
      First argument to main() must be signed int with gcc 4.3.
      Closes: #455385
    + [10_kfreebsd_build_fixes]
      Several macro tweaks to allow building with kfreebsd. Patch thanks to
      Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>. Closes: #413999
  * Updated patches:
    + [90_usr_local_cleanup]
      Do not try to patch auto-generated files. Fixes subsequent build from
      the same sources. Closes: #442551
  * Removed patches:
    + [10_invert3_aliasing_fix]
      Merged upstream.
  * debian/control (libdx4): Typo fix in package description. Thanks to
    Yuri Kotelnikov.
  * debian/control: Remove obsolete alternative (build-)dependencies on
    xlibs-dev as transition has been completed ages ago now.
  * debian/control: Lose outdated substitution variable Source-Version in
    favour of current binary:Version.
  * debian/control: Package complies with version 3.7.3 of Debian policy.
  * debian/dx-doc.doc-base: Remove extra whitespace in empty line to
    placate lintian.
  * debian/menu: Move to new section Applications/Science/Data Analysis.
  * debian/rules: Do not unconditionally ignore all errors from make
    distclean.
  * debian/rules: Use $(CURDIR) instead of `pwd` to avoid build problems
    in some chroots.
  * debian/rules: Give in to the amount of problem areas, finally, and
    disable strict aliasing.
  * debian/rules: Work around kfreebsd being detected as 'unknown'
    architecture. Based on patches by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr>.

 -- Daniel Kobras <kobras@debian.org>  Sat, 16 Feb 2008 18:23:53 +0100

dx (1:4.4.0-3) unstable; urgency=low

  * Added patches:
    + [10_kernel_includes_fix]
      Rather than build-depending on kernel headers, remove the
      corresponding includes as they are superfluous these days, anyway.
      Fixes build failures on systems where linux-libc-dev provides
      linux-kernel-headers.
  * debian/control: Back out build-dependency on linux-kernel-headers.
    It's not a dependency regular application ought to pull in.
  * debian/dx.desktop: Register dx with standard desktops. Patch thanks
    to Barry deFreese. Closes: #376785
  * debian/rules: Install desktop file and icon.

 -- Daniel Kobras <kobras@debian.org>  Tue, 12 Jun 2007 20:37:57 +0200

dx (1:4.4.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add linux-kernel-headers to fix FTBFS. Also Closes: #423280

 -- Andreas Barth <aba@not.so.argh.org>  Sat,  9 Jun 2007 22:37:25 +0000

dx (1:4.4.0-2) unstable; urgency=low

  * Added patches:
    + [10_invert3_aliasing_fix] New.
      Fix violation of strict aliasing rules that caused incorrect bounding
      boxes when data passed through the Collect module. Closes: #350524

 -- Daniel Kobras <kobras@debian.org>  Sat, 11 Mar 2006 00:36:05 +0100

dx (1:4.4.0-1) unstable; urgency=low

  * New upstream version.
  * Updated patches:
    + [90_usr_local_cleanup]
      Rediffed and merged with changes in new upstream version.
  * Removed patches:
    + [10_cond_fix]
    + [10_dxui_race_fix]
    + [10_dxuinocatcherror_doc]
    + [10_graph_exit_cleanup]
    + [10_outboard_fix]
    + [10_packetif_deadlock_fix]
    + [10_parse_doc]
    + [20_inboard_startupui_fix]
      Merged upstream.
    + [11_packetif_deadlock_fix_fixup]
      Obsolete.
  * debian/control: Switch default Motif dependency from Lesstif version 1
    to version 2.

 -- Daniel Kobras <kobras@debian.org>  Sun, 29 Jan 2006 16:04:09 +0100

dx (1:4.3.2-7) unstable; urgency=low

  * debian/control: Drop build dependency on obsolete libdps-dev.
    Closes: #347396
  * debian/control: Drop build dependency and suggests on obsolete
    freetype2-dev. Found no traces of it getting used anyway.

 -- Daniel Kobras <kobras@debian.org>  Tue, 10 Jan 2006 17:33:02 +0100

dx (1:4.3.2-6) unstable; urgency=medium

  * Added patches:
    + [10_64bit_pointer_fixes]
      Do not store pointers in integer variables as it breaks on 64bit
      platforms. This seems to happen in various places across the code.
      Only a few of them are fixed so far, so #319769 is only addressed
      in part. More to come in the future.
  * debian/control: Add libmagick9-dev as the preferred imagemagick
    (build-)dependency to cater for soname bump.
  * debian/control: Package complies with version 3.6.2 of Debian policy.

 -- Daniel Kobras <kobras@debian.org>  Thu, 13 Oct 2005 17:34:47 +0200

dx (1:4.3.2-5) unstable; urgency=low

  * debian/control: Tighten libglu1-xorg-dev dependencies to version
    providing sane shlibs.

 -- Daniel Kobras <kobras@debian.org>  Tue, 19 Jul 2005 11:51:00 +0200

dx (1:4.3.2-4) unstable; urgency=low

  * Rebuild with g++ 4.0 for C++ ABI transition.
  * debian/control: Change GLU/GL (build) dependencies to xorg variant.
  * debian/control, debian/dx-dev.links: Stop providing dummy package
    dx-dev.

 -- Daniel Kobras <kobras@debian.org>  Mon, 18 Jul 2005 10:21:12 +0200

dx (1:4.3.2-3) unstable; urgency=high

  * debian/control: Ouch, missed libdx4-dev's dependency on
    libtiff3g-dev. Changed to libtiff4-dev.
  * debian/control: Change libpng3-dev (build) dependency to libpng12-dev.
  * debian/control: Once we're at it, drop libdx4-dev's dependencies
    on other -dev packages to Suggests. They are only needed for
    building standalone binaries.
  * High urgency to avoid stalling the libtiff transition.

 -- Daniel Kobras <kobras@debian.org>  Mon,  9 Aug 2004 13:56:17 +0200

dx (1:4.3.2-2) unstable; urgency=medium

  * debian/control: Build-depend on libtiff4-dev.
  * Stop being fancy about the dx-dev renaming to ensure smooth upgrades
    from woody. The dpkg bug triggered is fixed in sarge, but it cannot
    get fixed retroactively in woody. Closes: #245205
    + debian/libdx4-dev.links: Remove dx-dev symlink.
    + debian/control: libdx4-dev no longer replaces the current dx-dev
      dummy package.
    + debian/NEWS: Obsolete. Removed.
  * debian/control: Complies with Standards-Version 3.6.1.

 -- Daniel Kobras <kobras@debian.org>  Sun,  1 Aug 2004 16:22:46 +0200

dx (1:4.3.2-1) unstable; urgency=low

  * New upstream release. Closes: #222080
  * Removed patches:
    + [10_args_no_array]
    + [10_check_NULL_environment]
    + [10_disable_GraphLayout_debugging]
    + [10_dont_invalidate_invalid]
    + [10_exclude_commercial_fonts]
    + [10_fix_empty_if]
    + [10_hdf_typedef_workaround]
    + [10_init_compression]
    + [10_memleaks+fprintf_fixes]
    + [10_sane_dotfiles]
    + [10_strstream_cleanup]
    + [10_terminate_helpstr]
    + [10_Makefile_include_OPENGL]
    + [20_64bit_cleanup]
      Included upstream.
  * Added patches:
    + [10_cond_fix] From upstream CVS.
      Fix potential miscompiled conditional statements in varargs.
    + [10_dxui_race_fix] From upstream CVS.
      Fix race in dxui communication.
    + [10_dxuinocatcherror_doc] From upstream CVS.
      Document DXUINOCATCHERROR environment variable.
    + [10_graph_exit_cleanup] From upstream CVS.
      Cleanly exit in graph.c error path.
    + [10_outboard_fix] From upstream CVS.
      Correct a problem with outboard modules not working.
    + [10_packetif_deadlock_fix] From upstream CVS.
      Fix a deadlock in dxexec communication.
    + [11_packetif_deadlock_fix_fixup] New.
      Propagate Makefile.am changes from 10_packetif_deadlock_fix
      to Makefile.in.
    + [10_parse_doc] From upstream CVS.
      Update documentation on Parse module.
    + [20_inboard_startupui_fix] From upstream CVS.
      Fix inboard modules when using startupui.
    + [90_usr_local_cleanup] New.
      Change references and defaults to /usr/local/dx to point to
      the Debian default /usr/lib/dx instead. Closes: #197272
  * debian/control: (Build-)depend on libmagick6-dev by default. Closes: #252979
  * debian/control: Update X11 (build) dependencies following the xlibs split.
    Leave xlibs-dev as an alternative to facilitate backports.

 -- Daniel Kobras <kobras@debian.org>  Mon,  7 Jun 2004 12:40:46 +0200

dx (1:4.3.0-3) unstable; urgency=medium

  * debian/rules: Fix config.guess/config.sub cleaning.
  * debian/rules: Convert to dpatch.
  * debian/rules: Compile with -mieee on alpha. Closes: #216671
  * debian/rules: Stop playing games with buggy m68k toolchain; globally
    lower optimization level instead.
  * debian/control: Build depend on dpatch.
  * 10_Makefile_include_OPENGL.dpatch [old, converted to dpatch]
    Fix typo in Makefiles so OPENGL lib is included in libdx.
  * 10_fix_man_section.dpatch [old, converted to dpatch]
    Change section of man page from 1V to 1.
  * 10_invoke_man.dpatch [old, converted to dpatch]
    dx -longhelp invokes man browser.
  * 10_args_no_array [new, from upstream CVS]
    Some places in the dx script still referenced obsolete array of
    arguments.
  * 10_check_NULL_environment [new, from upstream CVS]
    Check whether app gets passed a NULL environment, and fallback to a
    default PATH setting.
  * 10_disable_GraphLayout_debugging [new, from upstream CVS]
    Disable collection of debug info in GraphLayout routines.
  * 10_dont_invalidate_invalid [new, from upstream CVS]
    Do not try to invalidate connections et al. on invalid positions.
  * 10_exclude_commercial_fonts [new, from upstream CVS]
    Exclude all fonts from the chooser that were only distributed as
    part of the commercial DX.
  * 10_fix_empty_if [new, from upstream CVS]
    Fix typo that yielded an empty if body in EditorWindow.C.
  * 10_hdf_typedef_workaround [new, from upstream CVS]
    hdf headers typedef basic types that clash with dx's #defines.
  * 10_init_compression [new, from upstream CVS]
    Initialize compression variable to cure segfault in WriteImage.
  * 10_memleaks+fprintf_fixes [new, from upstream CVS]
    Fix various memleaks plus one fprintf that lacked a required
    argument.
  * 10_sane_dotfiles [new, from upstream CVS]
    Fixup a blunder creating too many dotfiles.
  * 10_strstream_cleanup [new, from upstream CVS]
    Sanitize inclusion of strstream and related headers.
  * 10_terminate_helpstr [new, from upstream CVS]
    NULL-terminate helpstr in ConfigurationDialog.
  * 20_64bit_cleanup [new, from upstream CVS]
    Collection of bug fixes for 64bit archs. Includes our previous
    workaround for buggy gcc on ia64 in _newtri.c.

 -- Daniel Kobras <kobras@debian.org>  Tue, 21 Oct 2003 23:46:53 +0200

dx (1:4.3.0-2) unstable; urgency=low

  * debian/rules: Apply m68k work around to displayx.lo instead of .o.
    Closes: #203893
  * debian/rules: mips had better use the displayx work around as well it
    seems.

 -- Daniel Kobras <kobras@debian.org>  Sat,  2 Aug 2003 18:15:56 +0200

dx (1:4.3.0-1) unstable; urgency=low

  * New upstream version, obsoletes most of our patches, apart from:
    + src/exec/dxmods/_newtri.c: workaround for ia64 build;
    + man/manl/dx.l: section change.
  * bin/dx.in: Invoke man browser on -longhelp. (We used to patch dxworker.in
    likewise, but that file is now gone.)
  * src/exec/Makefile.{am,in}: Fix typo so libOPENGL gets added to libDX.
  * debian/NEWS: New file. Explain potential error when upgrading dx-dev,
    tell that it's harmless, and put all blame on dpkg.
  * debian/rules: Fixup timestamps for the above change.
  * debian/{rules,control,libdx4*}: Upstream now supports building shared
    libs. Introduce new package libdx4, therefore. The old dx-dev package
    has been turned into a dummy package that gets replaced by libdx4-dev
    on upgrade.
  * debian/rules: Remove extraneous print statement in sed expression. Gets
    the CFLAGS mangling right on m68k.
  * debian/rules: Build with Linux/SMP support.
  * debian/rules: Disable dependency tracking to speed up build time a bit.
  * debian/rules: Drop -fpermissive from CXXFLAGS.
  * debian/rules: Work around grossly long build time for zclipQ.c.
  * debian/rules: Various hacks to fixup relocation of libs to /usr/lib.
  * debian/control: Startup script was converted from csh to sh. Remove
    dependency on tcsh.
  * debian/control: Added optional libmotif-dev to lesstif build dependency,
    so folks can build a local dx package against openmotif. This is as much
    as I can do about #186302 without pushing dx into contrib.
    Closes: #186302
  * debian/copyright: Updated download location.
  * debian/copyright: Moved up copyright statement to a more prominent place.
  * dx-doc.doc-base, menu: Move from Apps/Math to Apps/Science.

 -- Daniel Kobras <kobras@debian.org>  Mon, 28 Jul 2003 20:30:59 +0200

dx (1:4.2.0-8) unstable; urgency=low

  * src/exec/dxmods/_newtri.c: Replace struct assignments by memcpy()s in
    PointInTri() to work around gcc bug #8407. Ought to cure build failures on
    ia64.
  * debian/rules: Limit optimisation to -O1 when compiling
    src/exec/libdx/displayx.c on m68k to work around build problems.

 -- Daniel Kobras <kobras@debian.org>  Mon, 14 Jul 2003 13:35:04 +0200

dx (1:4.2.0-7) unstable; urgency=low

  * src/misc/arch.mak.in: Fix typo so LDFLAGS get substituted...
  * src/uipp/startup/StartupApplication.C: Properly wrap inclusion of
    strstream.h.
  * debian/rules: ... and remove the previous broken fix.
  * debian/control: Add real alternative zlib1g-dev to virtual libz-dev.
    Closes: #199836
  * debian/README.Debian: Oops. It's not DXBROWSER but DX_WEB_BROWSER.
  * New upload shall make dx installable again. Closes: #199476

 -- Daniel Kobras <kobras@debian.org>  Thu, 10 Jul 2003 14:07:17 +0200

dx (1:4.2.0-6) unstable; urgency=low

  * debian/control: Fix section for dx-doc and dx-dev according to overrides.
  * src/uipp/dxuilib/DXApplication.C, src/uipp/mb/MBApplication.C,
    src/uipp/prompter/GARApplication.C, src/uipp/tutor/TutorApplication.C,
    src/uipp/widgets/NumberInput.h: Include X11/keysym.h instead of
    X11/keysymdef.h. Closes: #189584
  * src/uipp/dxuilib/Network.C: Fix multiple definition of yylineno. Current
    bison gets it right, apparently.
  * src/uipp/prompter/GARCommand.C: Force inclusion of strstream header.
  * Recompile with ImageMagick du jour. Closes: #182293
  * debian/README.Debian: Hint to dx-doc, dxsamples, and the DXBROWSER
    environment variable.
  * debian/control: dx suggests new package dxsamples, dx-doc recommends it.
    Closes: #167480

 -- Daniel Kobras <kobras@debian.org>  Fri, 25 Apr 2003 16:37:22 +0200

dx (1:4.2.0-5) unstable; urgency=low

  * debian/rules, debian/dx-doc.links: Do not symlink /usr/share/doc/dx-doc to
    /usr/share/doc/dx.
  * debian/control: dx-doc no longer needs to depend on dx.
  * debian/control: Run dh_strip on dx-dev as well.
  * debian/control: Build dep on sane libmagick-dev. Closes: #166429
  * debian/control: dx-dev depends on the libs arch.mak pulls in.
  * debian/rules: Fixup a leftover configure template in arch.mak.
  * debian/control: Build dep on ed.

 -- Daniel Kobras <kobras@debian.org>  Fri,  1 Nov 2002 15:58:25 +0100

dx (1:4.2.0-4) unstable; urgency=low

  * src/exec/dxmods/_compparse.y: Fix symbol separator so recent bison does
    not barf.
  * src/exec/dpexec/yuiif.y: ;-terminate rules to keep bison 1.50 happy.
  * debian/control: Augment dx-doc from Suggests to Recommends.
  * debian/control: Build dep on m4 to work around bug in bison package.

 -- Daniel Kobras <kobras@debian.org>  Fri, 11 Oct 2002 18:30:24 +0200

dx (1:4.2.0-3) unstable; urgency=low

  * bin/dxworker.in: -longhelp/-morehelp launches man browser on dx(1).
    Closes: #162292
  * man/manl/dx.l: Change section from 1V to 1.
  * debian/rules: Hard code path to ssh instead of using 'which'. It's not
    a build dep.
  * debian/rules: Update config.guess, config.sub from autotools-dev.
  * debian/rules: Use dh_install, dh_link, dh_installman.
  * debian/rules: Build with debugging symbols by default.
  * debian/rules: Support DEB_BUILD_OPTIONS.
  * debian/control: Purge automake, autoconf from build deps.
  * debian/control: Build dep on autotools-dev and debhelper.
  * debian/control: Prefer xlibmesa-dev as libgl-dev build dep.
  * debian/control: dx-doc needs to depend on dx.
  * debian/control: List tcsh as preferred c-shell.
  * debian/control: Complies with standards version 3.5.7.
  * debian/control: New maintainer. Closes: #163078
  * debian/dx-doc.{postinst,prerm}: No longer needed, removed.
  * debian/dirs: Unneeded, removed.
  * debian/dx-doc.docs: LICENSE is contained in copyright. Don't install.
  * debian/*.files: Switched to dh_install, removed.
  * debian/compat: Use debhelper compatibility level 4.
  * debian/changelog: Remove emacs cruft.
  * debian/*.{install,links}: Use debhelper to move files.
  * debian/dx.manpages: Install dx.1.

 -- Daniel Kobras <kobras@debian.org>  Sun,  6 Oct 2002 19:15:25 +0200

dx (1:4.2.0-2.2) unstable; urgency=low

  * NMU
  * Fix g++ 3.0 errors.  Closes: #153401

 -- LaMont Jones <lamont@debian.org>  Sun,  8 Sep 2002 12:43:51 -0600

dx (1:4.2.0-2.1) unstable; urgency=low

  * NMU.
  * Rebuilt with liblcms1 - closes: #152389
  * Build-Depends: xlibs-dev instead of xlib6g-dev.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 18 Jul 2002 05:40:24 +0900

dx (1:4.2.0-2) unstable; urgency=low

  * Reverted back to lesstif instead of motif because motif is in non-free.
  * Closes: #149332.

 -- Konstantinos Margaritis <markos@debian.org>  Mon, 10 Jun 2002 03:31:21 +0300

dx (1:4.2.0-1) unstable; urgency=low

  * New upstream release
  * Closes: #131667, #149252, #101667, #136044, #141978, #120956, #131003,
    #88568, #127142

 -- Konstantinos Margaritis <markos@debian.org>  Fri,  7 Jun 2002 03:14:13 +0300

dx (1:4.1.3-1.1) unstable; urgency=low

  * NMU
  * Fix g++ 3.0 compile errors.  Closes: #127142

 -- LaMont Jones <lamont@debian.org>  Sun,  3 Feb 2002 19:21:50 -0700

dx (1:4.1.3-1) unstable; urgency=low

  * New upstream release
  * Closes: #97952
  * Forgot to remove libmagick4-dev dependency problem.
    Closes: #100197

 -- Konstantinos Margaritis <markos@debian.org>  Sat,  9 Jun 2001 14:45:21 +0300

dx (1:4.1.2-1) unstable; urgency=low

  * New upstream release.
  * Fixes the libmagick5 problem.
   Closes: #89513, #95141

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 21 May 2001 23:43:35 +0300

dx (20010228-2) unstable; urgency=low

  * Forgot to actually fix the html docs bug. sorry.
  * Uses libdps instead of dpsclient. Closes: #88568.

 -- Konstantinos Margaritis <markos@debian.org>  Fri,  2 Mar 2001 14:16:16 +0200

dx (20010228-1) unstable; urgency=low

  * New cvs version.
  * Accidentally broke alpha support which was fixed upstream. Thanks to Paul
    Slootman <paul@debian.org> for pointing this.
  * Removed ImageMagick v5 support until fixed upstream.
  * Added xml support.
  * Closes: #87720, #85269, #83682, #87463.
  * Also, uploading dxsamples again, somehow the upload was never installed.

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 28 Feb 2001 15:36:13 +0200

dx (20010125-1) unstable; urgency=low

  * Due to demand, I updated the packaged to cvs version.
  * Closes: #81313, #65333, #82395, #77343, #83530
  * Packaged dxsamples as well.

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 25 Jan 2001 18:57:22 +0200

dx (4.1.0-5) unstable; urgency=low

  * forgot to fix #64153.
  Closes: #64153.
  * Fixed broken freetype,hdf support.

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 25 May 2000 14:16:21 +0300

dx (4.1.0-4) unstable; urgency=low

  * Added missing build-depends (yes another...).
  Closes: #63944
  * Fixed faulty html links.
  Closes: #64258

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 11 May 2000 13:19:37 +0300

dx (4.1.0-3) unstable; urgency=low

  * Another stupid typo. Thanx to Roman Hodek
  <Roman.Hodek@informatik.uni-erlangen.de> for pointing this one out.
  * Modified structure to keep documentation only in /usr/share/doc/dx
  for all packages.
  Closes:#63413, #63417
  * Added Adobe's Display Postscript System (DPS) support and Truetime font
  support. (dependencies on dpsclient-dev, freetype2-dev).
  TODO: add java support, and maybe extra package containing java stuff.

 -- Konstantinos Margaritis <markos@debian.org>  Tue,  2 May 2000 14:51:04 +0300

dx (4.1.0-2) unstable; urgency=low

  * Fixed stupid mistake that prevents source package extraction.
    Closes:#62551

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 19 Apr 2000 14:01:47 +0300

dx (4.1.0-1) unstable; urgency=low

  * New upstream version.
  * Added Build-Depends.
  * Upgraded to policy 3.1.1
  * Fixes: #49340, #56310

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 11 Apr 2000 13:21:45 +0300

dx (4.0.10-2) unstable; urgency=low

  * Removes dependance on -LMesaGL (Closes: #55620).
  * Hopefully fixes alpha compilation faults (Closes: #55234).

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 21 Jan 2000 20:14:53 +0200

dx (4.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Konstantinos Margaritis <markos@debian.org>  Mon, 10 Jan 2000 16:22:31 +0200

dx (4.0.9-2) unstable; urgency=low

  * For some reason, debs were uploaded corrupted. (Closes:#52391).

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 15 Dec 1999 15:52:07 +0200

dx (4.0.9-1) unstable; urgency=low

  * New upstream release. (Closes:#48164, #42021).

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 24 Nov 1999 20:27:34 +0200

dx (4.0.7-2) unstable; urgency=low

  * Bug fixes (not uploaded)

 -- Konstantinos Margaritis <markos@debian.org>  Mon, 22 Nov 1999 11:34:10 +0200

dx (4.0.7-1) unstable; urgency=low

  * internal version( not uploaded)

 -- Konstantinos Margaritis <markos@debian.org>  Sat, 11 Sep 1999 20:09:46 +0300

dx (4.0.6-2) unstable; urgency=low

  * FHS compliance, moved /usr/doc to /usr/share/doc.
  * Used doc-base to register documentation

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 14 Jul 1999 19:51:17 +0300

dx (4.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Konstantinos Margaritis <markos@debian.org>  Sun, 11 Jul 1999 00:51:44 +0300

dx (4.0.5-3) unstable; urgency=low

  * unreleased update
  * changed csh dependency to c-shell
  * fixed man page problems

 -- Konstantinos Margaritis <markos@debian.org>  Sun, 11 Jul 1999 00:27:27 +0300

dx (4.0.5-2) unstable; urgency=low

  * added csh missing dependency.
  * changed from /usr/man to /usr/share/man

 -- Konstantinos Margaritis <markos@debian.org>  Sun,  4 Jul 1999 01:47:37 +0300

dx (4.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Konstantinos Margaritis <markos@debian.org>  Mon, 28 Jun 1999 13:25:43 +0300

dx (4.0.4-2) unstable; urgency=low

  * added a configure-stamp thing in rules file and replaced -lGL with -lMesaGL
    in src/exec/dxexec/Makefile.am

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 22 Jun 1999 01:27:45 +0300

dx (4.0.4-1) unstable; urgency=low

  * Initial Release.

 -- Konstantinos Margaritis <markos@debian.org>  Sun, 20 Jun 1999 13:04:12 +0300
